Contacts
Add tags to multiple contacts by name
Adds the given tags (by name) to every contact in contactIds, in chunks — safe to call with up to 1000 ids in one request. Existing tags whose name matches are reused; unmatched names are created. Contact ids that don’t resolve in this workspace are skipped and reported back in skippedContactIds rather than failing the whole request. Example: {"contactIds":["1","2"],"tags":["VIP"]}.
POST
/
v1
/
contacts
/
bulk
/
tags
Add tags to multiple contacts by name
curl --request POST \
--url https://app.chatbotx.io/api/v1/contacts/bulk/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactIds": [
"<string>"
],
"tags": [
"<string>"
]
}
'import requests
url = "https://app.chatbotx.io/api/v1/contacts/bulk/tags"
payload = {
"contactIds": ["<string>"],
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contactIds: ['<string>'], tags: ['<string>']})
};
fetch('https://app.chatbotx.io/api/v1/contacts/bulk/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"processed": 123,
"skippedContactIds": [
"<string>"
]
}{
"defined": true,
"code": "businessError",
"status": 400,
"message": "An error occurred while processing your request",
"data": "<unknown>"
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Authentication required",
"data": "<unknown>"
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "You do not have permission to perform this action",
"data": "<unknown>"
}{
"defined": true,
"code": "invalidRequestData",
"status": 422,
"message": "Input validation failed",
"data": {
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
}{
"defined": true,
"code": "tooManyRequests",
"status": 429,
"message": "Too many requests",
"data": "<unknown>"
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "An unexpected error occurred",
"data": "<unknown>"
}Authorizations
bearerAuthdeveloperAccessTokentokenInSearchParams
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I
Add tags to multiple contacts by name
